%global enable_tests 1

Name:           nodejs-tilelive
Version:        4.4.3
Release:        2%{?dist}
Summary:        Frontend for various tile backends, mapnik and mbtiles

License:        BSD
URL:            https://github.com/mapbox/tilelive.js
Source0:        http://registry.npmjs.org/tilelive/-/tilelive-%{version}.tgz
# Accepted upstream - https://github.com/mapbox/tilelive.js/pull/57
Patch0:         nodejs-tilelive-underscore.patch
# Offered upstream - https://github.com/mapbox/tilelive.js/pull/58
Patch1:         nodejs-tilelive-optimist.patch
BuildArch:      noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mbtiles)
BuildRequires:  npm(mocha)
BuildRequires:  npm(sphericalmercator)
BuildRequires:  npm(step)
BuildRequires:  npm(tilejson)
BuildRequires:  npm(underscore)
%endif

%description
Tilelive is an interface for tilestore modules for Node.js. It defines
an API to interact with implementations for a particular tile store.


%prep
%setup -q -n package
%patch0 -p1 -b .underscore
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/tilelive
cp -pr package.json bin lib %{buildroot}/%{nodejs_sitelib}/tilelive
mkdir -p %{buildroot}/%{_bindir}
ln -sf %{nodejs_sitelib}/tilelive/bin/copy %{buildroot}/%{_bindir}/tilelive-copy
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha -R spec -t 10000
%endif


%files
%doc LICENSE README.md CHANGELOG.md API.md examples
%{nodejs_sitelib}/tilelive
%{_bindir}/tilelive-copy


%changelog
* Sun May 26 2013 Tom Hughes <tom@compton.nu> - 4.4.3-2
- Correct path in tilelive-copy link.
- Update optimist dependency.

* Mon Apr 29 2013 Tom Hughes <tom@compton.nu> - 4.4.3-1
- Update to 4.4.3 upstream release

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 4.3.3-1
- Initial build of 4.3.3
